Skip to content

/refresh-token

POST
/refresh-token
curl --request POST \
--url https://gymgym.club/api/auth/refresh-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "accountId": "example", "userId": "example" }'

Refresh the access token using a refresh token

Media typeapplication/json
Any of:
object
accountId
required

The Better Auth account ID

string
userId

The user ID associated with the account

string

Access token refreshed successfully

Media typeapplication/json
object
tokenType
string
idToken
string
accessToken
string
refreshToken
string
accessTokenExpiresAt
string format: date-time
refreshTokenExpiresAt
string format: date-time
Examplegenerated
{
"tokenType": "example",
"idToken": "example",
"accessToken": "example",
"refreshToken": "example",
"accessTokenExpiresAt": "2026-04-15T12:00:00Z",
"refreshTokenExpiresAt": "2026-04-15T12:00:00Z"
}

Invalid refresh token or provider configuration

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}